PORT-BUMP(1)

NAME
port-bump - Update the outdated checksums of a Portfile

SYNOPSIS

port [-vd] [-D portdir] bump
     [--patch]
     [[portname | pseudo-portname | port-expressions | port-url]]

DESCRIPTION

port bump updates the checksums of a Portfile if they are outdated or different than the current version’s checksums. Additionally, the revision number will be reset. port bump is useful for maintainers to automatically bump the checksums after updating the version number of a port.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

--patch
    Create a Portfile.patch file instead of directly overwriting the Portfile.

SEE ALSO

port(1), port-fetch(1), port-install(1), portfile(7)

AUTHORS

    (C) 2019 The MacPorts Project
    Satryaji Aulia <satraul@macports.org>